Loading...
Searching...
No Matches
mbedtls_poly1305_context Struct Reference

`#include <poly1305.h>`

## Data Fields

uint32_t | r [4]
uint32_t | s [4]
uint32_t | acc [5]
uint8_t | queue [16]
size_t | queue_len

## Detailed Description

Definition at line 51 of file poly1305.h.

## Field Documentation

## acc

uint32_t mbedtls_poly1305_context::acc[5]

The value for 's' (high 128 bits of the key).

Definition at line 54 of file poly1305.h.

## queue

uint8_t mbedtls_poly1305_context::queue[16]

The accumulator number.

Definition at line 55 of file poly1305.h.

## queue_len

size_t mbedtls_poly1305_context::queue_len

The current partial block of data.

Definition at line 56 of file poly1305.h.

## r

uint32_t mbedtls_poly1305_context::r[4]

Definition at line 52 of file poly1305.h.

## s

uint32_t mbedtls_poly1305_context::s[4]

The value for 'r' (low 128 bits of the key).

Definition at line 53 of file poly1305.h.

The documentation for this struct was generated from the following file:

- poly1305.h